## jeex 12.0.3

=== Makefile ===
# Copyright 2008, 2009, 2010 - HdS619 ( hds619@gmail.com )

# Jeex is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.

# Jeex is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA.

OBJ     = edit.o file.o main.o view.o preferences.o bookmark.o \
          info.o general-function.o notebook-manage.o menu.o \
          html-export.o logging.o search.o \
          terminal-actions.o tools.o plugin.o
CC      = gcc
SUBDIRS      = po plugin
INSTALL      = /usr/bin/install -D
INSTALL_DIR  = /usr/bin/install -d
INSTALL_DATA = $(INSTALL) -m 644

CFLAGS = `pkg-config --cflags gtk+-2.0` $(C_PARAM)

LINK    = `pkg-config --libs --cflags gtk+-2.0` -lm -lmagic -pipe $(L_PARAM)

ifeq ($(DEBUG), true)
      CFLAGS += -g -DDEBUG_ENABLE=1
endif
ifneq ($(destdir),)
       CFLAGS += -DDESTDIR="\"$(destdir)\""
endif

compile: other-make object-make

object-make: $(OBJ)
	$(CC) $^ plugin/*.o -o jeex $(LINK)

%.o: src/%.c
	$(CC) -c $< -o $@ $(CFLAGS)

other-make:
	@for d in $(SUBDIRS); \
		do make -C $$d; \
		[ $$? = 0 ] || exit 1; \
	done

install: uninstall po-install
	$(INSTALL) jeex $(destdir)/usr/bin/jeex
	$(INSTALL_DATA) img/jeex.png $(destdir)/usr/share/jeex/jeex.png
	$(INSTALL_DATA) img/list_menu.png $(destdir)/usr/share/jeex/list_menu.png
	$(INSTALL_DATA) img/diff.png $(destdir)/usr/share/jeex/diff.png
	$(INSTALL_DATA) jeex.desktop $(destdir)/usr/share/applications/jeex.desktop
	$(INSTALL_DATA) img/jeex.png $(destdir)/usr/share/icons/jeex.png
	$(INSTALL) jeex.rc $(destdir)/etc/jeex/jeex.rc -m 666

po-install:
	   make install -C po

uninstall:
	   @rm -vf $(destdir)/usr/bin/jeex
	   @rm -rvf $(destdir)/usr/share/jeex
	   @rm -vf $(destdir)/usr/share/applications/jeex.desktop
	   @rm -vf $(destdir)/usr/share/icons/jeex.png
	   @rm -vf $(destdir)/usr/share/locale/*/LC_MESSAGES/jeex.mo
	   @rm -vrf $(destdir)/etc/jeex

snapshot: clean
	  make update-po -C po
	  tar -cvjf ../jeex.dev-pkg-`date +"%Y%m%d"`.tar.bz2 ../jeex-12.0.3

clean:
	@for d in $(SUBDIRS); \
		do make clean -C $$d; \
		[ $$? = 0 ] || exit 1; \
	done
	@rm -vf *.o jeex

=== debian/changelog ===
jeex (12.0.3-1) unstable; urgency=low

  * New upstream bugfix-only release.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 14 Apr 2010 13:12:10 +0200

jeex (12.0.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards.
  * Drop all patches that have been applied by upstream.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 02 Feb 2010 17:47:37 +0100

jeex (12.0.1-1) unstable; urgency=low

  * Initial release (Closes: #497507)

 -- David Paleino <dapal@debian.org>  Sun, 17 Jan 2010 21:18:05 +0100

=== debian/control ===
Source: jeex
Section: editors
Priority: optional
Maintainer: David Paleino <dapal@debian.org>
Uploaders: Alessio Treglia <quadrispro@ubuntu.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7),
 libmagic-dev,
 libgtk2.0-dev
Standards-Version: 3.8.4
Homepage: http://www.hds619.net/Jeex.php
Vcs-Git: git://git.debian.org/git/collab-maint/jeex.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/jeex.git

Package: jeex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: visual editor to view and edit files in hexadecimal
 Jeex is a simple hexadecimal editor which allows user to create, open
 and edit files in hexadecimal, binary, octal and ASCII. The features include
 insert, delete, copy-and-paste, search and many others.
 .
 It also shows several information about the opened file, like file mode bits,
 ownership, last access and modification timestamps.

## jeex 12.0.4

=== Makefile ===
--- 
+++ 
@@ -72,7 +72,7 @@
 
 snapshot: clean
 	  make update-po -C po
-	  tar -cvjf ../jeex.dev-pkg-`date +"%Y%m%d"`.tar.bz2 ../jeex-12.0.3
+	  tar -cvjf ../jeex.dev-pkg-`date +"%Y%m%d"`.tar.bz2 ../jeex-12.0.4
 
 clean:
 	@for d in $(SUBDIRS); \

=== plugin/Makefile ===
# Copyright 2008 - HdS619 ( hds619@gmail.com )

# Jeex is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.

# Jeex is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA.

objects = jeex_hello.o joiner.o
cc = gcc
cflags = `pkg-config --cflags gtk+-2.0` $(C_PARAM)

ifeq ($(DEBUG), true)
      cflags += -g -Ddebug_enable=1
endif

%.o: %.c
	$(cc) -c $< -o $@ $(cflags)

plugin: $(objects)
	@echo "Plugin compiled."

clean:
	@rm -fv *.o

=== po/Makefile ===
# Copyright 2008 - David Paleino ( d.paleino@gmail.com )

# Jeex is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.

# Jeex is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA.

PACKAGE      = jeex
POTFILE      = $(PACKAGE).pot
INSTALL      = /usr/bin/install -D
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_DIR  = /usr/bin/install -d
DESTDIR = $(destdir)
LOCALE_DIR   = $(DESTDIR)/usr/share/locale


MSGMERGE     = msgmerge -v
XGETTEXT     = xgettext --default-domain=$(PACKAGE) --add-comments -i -LC --from-code=utf-8
MSGFMT       = msgfmt --statistics --check-format --verbose

# Helpers
POFILES      = $(wildcard *.po)
LANGS        = $(patsubst %.po,%,$(POFILES))
MOFILES      = $(patsubst %.po,%.mo,$(POFILES))
SRC          = $(wildcard ../src/*.c ../src/*.h ../plugin/*.c ../plugin/*.h)
#$(wildcard ../*.h)

#default:: $(MOFILES)

all::  update-po $(MOFILES) missing

$(POTFILE): $(SRC)
	echo $(SRC)
	$(XGETTEXT) --keyword=_ --keyword=N_ $< --keyword=report:3 $(SRC)
	@if cmp -s $(PACKAGE).po $(POTFILE); then \
		rm -f $(PACKAGE).po; \
	else \
		mv -f $(PACKAGE).po $(POTFILE); \
	fi; \
	sed -i '/^"Content-Type/s/CHARSET/UTF-8/' $(POTFILE)

# generate po if doesn't exist
missing:
	langs="$(LANGS)"; \
	for lng in $$langs; do \
		if [ ! -f $$lng.po ]; then \
			msginit --no-translator -l $$lng -i $(POTFILE); \
			$(MSGFMT) -o $$lng.mo $$lng.po; \
		fi \
	done

update-po: Makefile $(POTFILE)
	$(MAKE) refresh-po

refresh-po: Makefile
	for file in $(POFILES); do \
		lang=`basename $$file .po`; \
		if $(MSGMERGE) $$lang.po $(POTFILE) > $$lang.pot ; then \
			mv -f $$lang.pot $$lang.po ; \
			echo "$(MSGMERGE) of $$lang succeeded" ; \
		else \
			echo "$(MSGMERGE) of $$lang failed" ; \
			rm -f $$lang.pot ; \
		fi \
	done

clean:
	@rm -fv *.mo *~ .depend

install: $(MOFILES)
	@for n in $(MOFILES); do \
		l=`basename $$n .mo`; \
		$(INSTALL_DIR) $(LOCALE_DIR)/$$l/LC_MESSAGES; \
		$(INSTALL_DATA) --verbose $$n $(LOCALE_DIR)/$$l/LC_MESSAGES/$(PACKAGE).mo; \
	done

%.mo: %.po
	$(MSGFMT) -o $@ $<

.PHONY: missing depend

=== debian/changelog ===
jeex (12.0.4-1.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:05:45 +1100

jeex (12.0.4-1.1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:12:42 +0000

jeex (12.0.4-1.1build1) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 16:03:49 -0500

jeex (12.0.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957388)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 12 Sep 2020 20:34:22 +0100

jeex (12.0.4-1) unstable; urgency=low

  * New upstream version
  * Updated debian/copyright
  * Standards-Version bump to 3.9.3, no changes needed

 -- David Paleino <dapal@debian.org>  Sun, 08 Apr 2012 09:25:47 +0200

=== debian/control ===
Source: jeex
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 7)
 , libmagic-dev
 , libgtk2.0-dev
Standards-Version: 3.9.3
Homepage: http://www.hds619.net/Jeex.php
Vcs-Git: git://git.debian.org/git/collab-maint/jeex.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/jeex.git

Package: jeex
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
Description: visual editor to view and edit files in hexadecimal
 Jeex is a simple hexadecimal editor which allows user to create, open
 and edit files in hexadecimal, binary, octal and ASCII. The features include
 insert, delete, copy-and-paste, search and many others.
 .
 It also shows several information about the opened file, like file mode bits,
 ownership, last access and modification timestamps.

=== debian/watch ===
version=3
http://www.hds619.net/jeex-pkg/jeex-(\d+.*)\.tar\.bz2
